| Home | Libraries | People | FAQ | More

##### connect_params::ssl

Controls whether to use TLS or not.

###### Synopsis

    ssl_mode ssl {ssl_mode::enable};

###### Description

See `ssl_mode` for more information about the possible modes. This option is only relevant when `server_address.type() == address_type::host_and_port`. UNIX socket connections will never use TLS, regardless of this value.